/*
//	File:		MEMTest.h
//	Created:	Christian Apfel
//	Date:		15.12.2015
//
*/

#ifndef MEMTEST_H
#define MEMTEST_H

#include "DHHalLib.h"

typedef struct MyData {
    unsigned char Channel;
    UINT32 PhyAddr;
	UINT32 RegBack;
} MYDATA, *PMYDATA;

class MEMTest
{
public:
	MEMTest();
	~MEMTest();
	void StartMemTest();
	bool WriteRegisterTest(int iChannel, int iPhyAddr, int iRegValue);
	bool ReadRegisterTest(int iChannel, int iPhyAddr, int *iRegBackValue);
	bool WriteBackRegisterTest(int iChannel, int iPhyAddr, int iRegValue, int *iRegBackValue);
	bool AsyncronReadRegister(int *iPhyAddr, int *iRegBackValue);
};

DWORD WINAPI PHYMEM_READ_THREAD( LPVOID lpParam );
void ErrorHandler(LPTSTR lpszFunction);

#endif